diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-link-frame.h ns-3.43/src/mesh/model/dot11s/peer-link-frame.h
--- ns-3.42/src/mesh/model/dot11s/peer-link-frame.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-link-frame.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  */
@@ -53,7 +42,7 @@
     PeerLinkOpenStart(const PeerLinkOpenStart&) = delete;
     PeerLinkOpenStart& operator=(const PeerLinkOpenStart&) = delete;
 
-    ///\brief fields:
+    /// \brief fields:
     struct PlinkOpenStartFields
     {
         IePeeringProtocol protocol; ///< Peering protocol version - 3 octets
@@ -123,7 +112,7 @@
     PeerLinkCloseStart(const PeerLinkCloseStart&) = delete;
     PeerLinkCloseStart& operator=(const PeerLinkCloseStart&) = delete;
 
-    ///\brief fields:
+    /// \brief fields:
     struct PlinkCloseStartFields
     {
         IePeeringProtocol protocol; ///< Peering protocol version - 3 octets
@@ -187,7 +176,7 @@
     PeerLinkConfirmStart(const PeerLinkConfirmStart&) = delete;
     PeerLinkConfirmStart& operator=(const PeerLinkConfirmStart&) = delete;
 
-    ///\brief fields:
+    /// \brief fields:
     struct PlinkConfirmStartFields
     {
         IePeeringProtocol protocol; ///< Peering protocol version - 3 octets
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-link.h ns-3.43/src/mesh/model/dot11s/peer-link.h
--- ns-3.42/src/mesh/model/dot11s/peer-link.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-link.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-management-protocol.cc ns-3.43/src/mesh/model/dot11s/peer-management-protocol.cc
--- ns-3.42/src/mesh/model/dot11s/peer-management-protocol.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-management-protocol.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-management-protocol.h ns-3.43/src/mesh/model/dot11s/peer-management-protocol.h
--- ns-3.42/src/mesh/model/dot11s/peer-management-protocol.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-management-protocol.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Aleksey Kovalenko <kovalenko@iitp.ru>
@@ -263,9 +252,9 @@
     typedef std::map<uint32_t, PeerLinksOnInterface> PeerLinksMap;
     /// This map keeps relationship between peer address and its beacon information
     typedef std::map<Mac48Address, BeaconInfo> BeaconsOnInterface;
-    ///\brief This map keeps beacon information on all interfaces
+    /// \brief This map keeps beacon information on all interfaces
     typedef std::map<uint32_t, BeaconsOnInterface> BeaconInfoMap;
-    ///\brief this vector keeps pointers to MAC-plugins
+    /// \brief this vector keeps pointers to MAC-plugins
     typedef std::map<uint32_t, Ptr<PeerManagementProtocolMac>> PeerManagementProtocolMacMap;
 
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-management-protocol-mac.cc ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.cc
--- ns-3.42/src/mesh/model/dot11s/peer-management-protocol-mac.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/dot11s/peer-management-protocol-mac.h ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.h
--- ns-3.42/src/mesh/model/dot11s/peer-management-protocol-mac.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/dot11s/peer-management-protocol-mac.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
@@ -129,7 +118,7 @@
     /// allow PeerLink class access friend access
     friend class PeerLink;
 
-    ///\name Create peer link management frames
+    /// \name Create peer link management frames
     // \{
     /**
      * \brief This structure keeps all fields in peer link management frame,
@@ -234,7 +223,7 @@
 
   private:
     Statistics m_stats; ///< statistics
-    ///\name Information about MAC and protocol:
+    /// \name Information about MAC and protocol:
     Ptr<MeshWifiInterfaceMac> m_parent;     ///< parent
     uint32_t m_ifIndex;                     ///< IF index
     Ptr<PeerManagementProtocol> m_protocol; ///< protocol
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-header.cc ns-3.43/src/mesh/model/flame/flame-header.cc
--- ns-3.42/src/mesh/model/flame/flame-header.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-header.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-header.h ns-3.43/src/mesh/model/flame/flame-header.h
--- ns-3.42/src/mesh/model/flame/flame-header.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-header.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-protocol.cc ns-3.43/src/mesh/model/flame/flame-protocol.cc
--- ns-3.42/src/mesh/model/flame/flame-protocol.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-protocol.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-protocol.h ns-3.43/src/mesh/model/flame/flame-protocol.h
--- ns-3.42/src/mesh/model/flame/flame-protocol.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-protocol.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-protocol-mac.cc ns-3.43/src/mesh/model/flame/flame-protocol-mac.cc
--- ns-3.42/src/mesh/model/flame/flame-protocol-mac.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-protocol-mac.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-protocol-mac.h ns-3.43/src/mesh/model/flame/flame-protocol-mac.h
--- ns-3.42/src/mesh/model/flame/flame-protocol-mac.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-protocol-mac.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-rtable.cc ns-3.43/src/mesh/model/flame/flame-rtable.cc
--- ns-3.42/src/mesh/model/flame/flame-rtable.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-rtable.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/flame/flame-rtable.h ns-3.43/src/mesh/model/flame/flame-rtable.h
--- ns-3.42/src/mesh/model/flame/flame-rtable.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/flame/flame-rtable.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-information-element-vector.cc ns-3.43/src/mesh/model/mesh-information-element-vector.cc
--- ns-3.42/src/mesh/model/mesh-information-element-vector.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-information-element-vector.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-information-element-vector.h ns-3.43/src/mesh/model/mesh-information-element-vector.h
--- ns-3.42/src/mesh/model/mesh-information-element-vector.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-information-element-vector.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Pavel Boyko <boyko.iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-l2-routing-protocol.cc ns-3.43/src/mesh/model/mesh-l2-routing-protocol.cc
--- ns-3.42/src/mesh/model/mesh-l2-routing-protocol.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-l2-routing-protocol.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Pavel Boyko <boyko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-l2-routing-protocol.h ns-3.43/src/mesh/model/mesh-l2-routing-protocol.h
--- ns-3.42/src/mesh/model/mesh-l2-routing-protocol.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-l2-routing-protocol.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Pavel Boyko <boyko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-point-device.cc ns-3.43/src/mesh/model/mesh-point-device.cc
--- ns-3.42/src/mesh/model/mesh-point-device.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-point-device.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Kirill Andreev <andreev@iitp.ru>
  *         Pavel Boyko <boyko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-point-device.h ns-3.43/src/mesh/model/mesh-point-device.h
--- ns-3.42/src/mesh/model/mesh-point-device.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-point-device.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008,2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Kirill Andreev <andreev@iitp.ru>
  *          Pavel Boyko <boyko@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-wifi-beacon.cc ns-3.43/src/mesh/model/mesh-wifi-beacon.cc
--- ns-3.42/src/mesh/model/mesh-wifi-beacon.cc	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-wifi-beacon.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pavel Boyko <boyko@iitp.ru>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/model/mesh-wifi-beacon.h ns-3.43/src/mesh/model/mesh-wifi-beacon.h
--- ns-3.42/src/mesh/model/mesh-wifi-beacon.h	2024-05-29 15:29:47.132073600 -0700
+++ ns-3.43/src/mesh/model/mesh-wifi-beacon.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pavel Boyko <boyko@iitp.ru>
  */
